import java.io.*;

/**
Testprogramm fr Base64InputStream
@author Dipl.-Ing. Michael Sonntag
@version 1.0
*/
public class Base64Test
{
    
    public static void main(String[] args)
    {
        if(args.length!=2)
        {
            System.out.println("Usage: java Base64Test infile outfile");
            System.exit(1);
        }
        File infile=new File(args[0]);
        if(!infile.exists() || !infile.canRead() || !infile.isFile())
        {
            System.out.println("Cant' read input file "+infile.getPath()+"\nUsage: java Base64Test infile outfile");
            System.exit(1);
        }
        File outfile=new File(args[1]);
        if(outfile.exists() && (!outfile.canWrite() || !outfile.isFile()))
        {
            System.out.println("Can't write output file "+outfile.getPath()+"\nUsage: java Base64Test infile outfile");
            System.exit(1);
        }
        try
        {
            InputStream in=new Base64InputStream(new BufferedInputStream(new FileInputStream(infile)),true);
            OutputStream out=new BufferedOutputStream(new FileOutputStream(outfile));
            byte[] buf=new byte[128];
            int len;
            while((len=in.read(buf))>0)
                out.write(buf,0,len);
            in.close();
            out.close();
        }
        catch(FileNotFoundException e)
        {
            System.out.println(e.toString());
            System.exit(1);
        }
        catch(IOException e)
        {
            System.out.println(e.toString());
            System.exit(1);
        }
    }
}